# Uses of Class
org.apache.lucene.queryparser.flexible.standard.parser.Token

Packages that use Token
Package
Description
org.apache.lucene.queryparser.flexible.standard.parser
Lucene Query Parser

- ## Uses of Token in org.apache.lucene.queryparser.flexible.standard.parser

  Fields in org.apache.lucene.queryparser.flexible.standard.parser declared as Token
  Modifier and Type
  Field
  Description
  `Token`
  ParseException.`currentToken`
  This is the last token that has been consumed successfully.
  `Token`
  StandardSyntaxParser.`jj_nt`
  Next token.
  `Token`
  Token.`next`
  A reference to the next regular (non-special) token from the input stream.
  `Token`
  Token.`specialToken`
  This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token.
  `Token`
  StandardSyntaxParser.`token`
  Current token.
  Methods in org.apache.lucene.queryparser.flexible.standard.parser that return Token
  Modifier and Type
  Method
  Description
  `final Token`
  StandardSyntaxParser.`getNextToken()`
  Get the next Token.
  `Token`
  StandardSyntaxParserTokenManager.`getNextToken()`
  Get the next Token.
  `final Token`
  StandardSyntaxParser.`getToken(int index)`
  Get the specific Token.
  `protected Token`
  StandardSyntaxParserTokenManager.`jjFillToken()`
  `static Token`
  Token.`newToken(int ofKind)`
  `static Token`
  Token.`newToken(int ofKind, String image)`
  Returns a new Token object, by default.
  Methods in org.apache.lucene.queryparser.flexible.standard.parser with parameters of type Token
  Modifier and Type
  Method
  Description
  `static float`
  StandardSyntaxParser.`parseFloat(Token token)`
  `static int`
  StandardSyntaxParser.`parseInt(Token token)`
  Constructors in org.apache.lucene.queryparser.flexible.standard.parser with parameters of type Token
  Modifier
  Constructor
  Description
  ``
  `ParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
  This constructor is used by the method "generateParseException" in the generated parser.